using System;
using Microsoft.BizTalk.Message.Interop;

namespace Macaw.BizTalk.Pipeline
{
    public class LiteralOrProperty : ContextPropertyDef
    {
        private bool _isLiteral;

        public bool IsLiteral
        {
            get { return _isLiteral; }
            set { _isLiteral = value; }
        }

        public string GetValue(IBaseMessageContext msgCtx)
        {
            string value = null;

            if (IsLiteral)
            {
                value = Key;
            }
            else if (msgCtx != null)
            {
                value = Convert.ToString(msgCtx.Read(Key, Namespace));
            }

            return value;
        }
    }
}
